import {
  geoEqualEarth,
  geoOrthographic,
  geoPath,
  geoGraticule
} from 'd3';

const projection = geoOrthographic(); // Wraps an instance of the specified projection type

/* given a GeoJSON geometry or feature object, it generates an SVG path 
data string or renders the path to a Canvas */
const path = geoPath(projection);

// Generates a GeoJSON graticule
const graticule = geoGraticule();

// This function reads a dictionary having values of land and interiors
export const Marks = ({ data: { land, interiors } }) => (
  <g className="marks" >
    <path className="sphere" d={path({ type: 'Sphere' })} />
    <path className="graticules" d={path(graticule())} />
    {land.features.map((feature) => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);
