import React, { useState, useEffect } from 'react';
import ReactDom from 'react-dom';
import { useData } from './useData';
import { Marks } from './Marks';

// Screen dimension
const width = 960;
const height = 500;

// This function loads data
const App = () => {
  // useData is imported from useData.js
  const data = useData();
  // If no data, print text to the console
  if (!data) {
    return <pre>Loading...</pre>;
  }
	
  // If data exist, show it with the defined dimension
  return (
    <svg width={width} height={height}>
      <Marks data={data} />
    </svg>
  );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
